

         ( This file contains examples of how to use the graphics words )
         ( supplied in the SUPERFORTH system. Before trying these please )
         ( ensure that the Floating Point Maths package has been loaded )
         
         CREATE PARAMETERS 30 ALLOT    ( Allocate enough bytes for five )
                                       ( floating point parameters as in )
                                       ( section 3.10.4 of the manual )
         
         : GET_PAR  ( n --- )          ( n is the parameter number )
                             ( This word gets and stores a floating )
                             ( point number in the parameter block )
             6 * PARAMETERS + >R    ( Calculate address of the parameter )
             F$ R> F! ;             ( Get and save floating point number )
         
         ( Now some words to load individual parameters  )
         
         : ANG 0 GET_PAR ;   ( Read and store angle of orientation   )
         : RAD 1 GET_PAR ;   ( Read and store radius of circle       )
         : ECC 2 GET_PAR ;   ( Read and store eccentricity of circle )
         : Y   3 GET_PAR ;   ( Read and store y coordinate of centre )
         : X   4 GET_PAR ;   ( Read and store x coordinate of centre )
         
         : DRAW CLS PARAMETERS CIRCLE ; ( To draw the circle or ellipse )
         
         ( An example of how to use the above words )
         ANG 0     RAD 12    ECC 3.5   X 65    Y 50
         DRAW
         RAD 20.25    ECC 1    DRAW
         
         ( An example of how to draw a pattern )
         
         FVARIABLE ANGLE
         F$ 0   FCONSTANT FZERO
         F$ 0.2618 FCONSTANT STEP
         : FLOWER  FZERO ANGLE F! CLS
             12 0
             DO ANGLE F@ PARAMETERS F!
                PARAMETERS CIRCLE
                STEP ANGLE F@ F+ ANGLE F!
             LOOP   ;
         
         X 65   Y 50   RAD 8   ECC 5   FLOWER
         
         END_FILE
         















                                      page 1